Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick.model.qjml
Class QMItem

    java.lang.Object
      |
      +--com.jxml.quick.model.qjml.QMCloneable
            |
            +--com.jxml.quick.model.qjml.QMContentModel
                  |
                  +--com.jxml.quick.model.qjml.QMItem

All Implemented Interfaces:
  Cloneable

public class QMItem
extends QMContentModel

Models the item element in QJML. The item element is used to define attributes and element content, providing information that relates to the XML document type and the Java classes that model them.

    DTD:

    <!ELEMENT item (rem*,
            (aref|id|identity|ignore|field|property|accessClass)?)>

    <!ATTLIST item
        label CDATA #IMPLIED
        cref CDATA #IMPLIED
        optional CDATA "False"
        repeating CDATA "False"
        coin CDATA #IMPLIED
        schema CDATA #IMPLIED
        fixed CDATA "False"
        value CDATA #IMPLIED
        ID id #IMPLIED
    >

Field Summary
`QMCoin` | `coin` The QMCoin object which models the element named by the coin attribute.
`String` | `coinName` Models a coin attribute on the item element.
`boolean` | `fixed` Models the fixed attribute on the item element.
`String` | `schema` Models the schema attribute on the item element.
`String` | `value` Models the value attribute on the item element.

Fields inherited from class com.jxml.quick.model.qjml.QMContentModel
`access, aref, content, cref, enclosingCoin, initialized, label, optional, remList, repeating`

Constructor Summary
`QMItem()`

Method Summary
`void` | `accessInit(Map coinMap, Map contentMap, QMCoin coin)` Initialize access--delayed until QMItem completes its initialization.
`Object` | `clone()` Returns a deep copy of this object, but in an uninitialized form.
`String` | `getAttributeTagName()` Returns the attribute tag name.
`void` | `init(Map coinMap, Map contentMap)` Resolve references, inheritance.

Methods inherited from class com.jxml.quick.model.qjml.QMContentModel
`buildMaps`

Methods inherited from class com.jxml.quick.model.qjml.QMCloneable
`clone, clone`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### coinName

    public String coinName

  Models a coin attribute on the item element. The coin attribute names another coin in the QJML document. When the schema attribute is not set, the named coin must be present in the current QJML document or in an included document. But when the schema attribute is set, the named coin must be present in the QIML document referenced by the schema attribute.

  The coin attribute is optional when the cref attribute is set, as its value will then be determined by the item element named by the cref.

### schema

    public String schema

  Models the schema attribute on the item element. The schema attribute provides the URL of the QIML document which contains the coin referenced by the coin attribute. The schema attribute is optional. When the schema attribute is not present, the coin attribute names a coin in the current QJML document, or it names a coin in an included QJML document.

  When the cref attribute is set and the schema attribute is not present, the schema attribute on the item element named by the cref is used.

### fixed

    public boolean fixed

  Models the fixed attribute on the item element. When the fixed attribute is set to true, the attribute described by the item element has a pre-assigned value that can not be changed.

  The fixed attribute defaults to false. But when the fixed attribute is false and the cref attribute is set, the fixed attribute on the item element named by the cref is used.

### value

    public String value

  Models the value attribute on the item element. When the fixed attribute is false, the value attribute supplies a default value for the attribute defined by the item element. But when the fixed attribute is true, the value attribute supplies the unchangable pre-assigned value of the attribute being defined.

  The value attribute is optional. But when the value attribute is not set and the cref attribute is set, the value attribute on the item element named by the cref is used.

### coin

    public transient QMCoin coin

  The QMCoin object which models the element named by the coin attribute. This variable is populated when the data model is initialized.

Constructor Detail

### QMItem

    public QMItem()

Method Detail

### clone

    public Object clone()

  Description copied from class: `QMContentModel`
  Returns a deep copy of this object, but in an uninitialized form.
  Overrides:
    `clone` in class `QMContentModel`

### init

    public void init(Map coinMap,
                     Map contentMap)
              throws SAXException

  Description copied from class: `QMContentModel`
  Resolve references, inheritance. This method is called during initialization of the data model.
  Overrides:
    `init` in class `QMContentModel`

### accessInit

    public void accessInit(Map coinMap,
                           Map contentMap,
                           QMCoin coin)
                    throws SAXException

  Initialize access--delayed until QMItem completes its initialization.
  Overrides:
    `accessInit` in class `QMContentModel`

### getAttributeTagName

    public String getAttributeTagName()
                               throws SAXException

  Returns the attribute tag name.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD